Package: apt-zip
Severity: important
Version: 0.13.3
Hi!
It seems, that the remove of MD5 check has broken the fetch script generation.
And it is not nicely indented as changelog says.
I usually generate it with:
apt-zip-list -f --medium=`pwd` --skip-mount
and since upgrading to apt-zip_0.13.3 the script will fail:
----------8<---------------------------------------
[EMAIL PROTECTED]:/tmp$ ./fetch-script-wget-neo
Download will be of size: 264000
ar: ../: File format not recognized
gzip: stdin: unexpected end of file
Fetching ../ failed (wrong contents)
wget: option requires an argument -- O
Usage: wget [OPTION]... [URL]...
Try `wget --help' for more options.
ar: ../: File format not recognized
gzip: stdin: unexpected end of file
Fetching ../ failed (wrong contents)
wget: option requires an argument -- O
Usage: wget [OPTION]... [URL]...
Try `wget --help' for more options.
ar: ../: File format not recognized
gzip: stdin: unexpected end of file
Fetching ../ failed (wrong contents)
wget: option requires an argument -- O
Usage: wget [OPTION]... [URL]...
Try `wget --help' for more options.
----------8<-------------------------------------------
Generated example script is attached.
Kindly regards,
Erik
--
www.ErikSchanze.de *********************************************
Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
* Linux-Info-Tag in Dresden, am 29. Oktober 2005 *
Info: http://www.linux-info-tag.de *
#!/bin/sh
# This file was auto-generated by apt-zip-list 0.13.3
# Method: wget - Options:
err(){
echo >&2 "Fetching $1 failed ($2)"
}
check(){
[ ! -r "$1" ] && return 1
[ "`which gzip`" ] &&
if ar p $1 data.tar.gz | gzip -t
then return 0
else err $1 "wrong contents"; return 1
fi
return $3
}
do_wget() {
wget -t3 -nv -O $2 $1
check $2 $4 $?
return $?
}
getfile(){
(check ../ 0 && echo matches MD5.) ||
(do_wget && mv ../)
}
mkdir -p partial && cd partial || echo >&2 "Cannot change to directory
./partial"
echo Download will be of size: 264000
while read URL FILE SIZE MD5
do getfile $URL $FILE $SIZE $MD5 || true
done <<EOP
http://ftp.de.debian.org/debian/pool/main/k/kdepim/libkmime2_3.4.2-1_i386.deb
libkmime2_4%3a3.4.2-1_i386.deb 111926 bee30e36c6dc795edcb3b7afaa6140d2
http://ftp.de.debian.org/debian/pool/main/k/kdepim/libkpimexchange1_3.4.2-1_i386.deb
libkpimexchange1_4%3a3.4.2-1_i386.deb 104266 301471b39d6c949c5a42ab8b37ff20e6
http://ftp.de.debian.org/debian/pool/main/k/kdepim/libktnef1_3.4.2-1_i386.deb
libktnef1_4%3a3.4.2-1_i386.deb 47808 0a20156f656ddc0a27ade60a19a81065
EOP